package com.accenture.quickstarts.jbpm.demo;

import org.apache.log4j.Logger;
import org.switchyard.component.bean.Service;

@Service(MonitorManagementService.class)
public class MonitorManagementServiceImpl implements MonitorManagementService {

	private static final Logger LOGGER = Logger.getLogger(MonitorManagementServiceImpl.class);
	@Override
	public void saveDataToDB(Ticket ticket) {
//		LOGGER.info("------------------------------" + ticket.getId());
		LOGGER.info("saveDataToDB ticket");
        ticket.setStatus("saveDataToDB");
//		return ticket;
	}

	@Override
	public void aprove(Ticket ticket) {
		LOGGER.info("aprove ticket");
        ticket.setStatus("aprove");
	}

	@Override
	public void reject(Ticket ticket) {
		LOGGER.info("reject ticket");
        ticket.setStatus("reject");
	}

	@Override
	public void sendToQueue(Ticket ticket) {
		LOGGER.info("sendToQueue ticket");
        ticket.setStatus("sendToQueue");
	}

	@Override
	public void removeFromDB(Ticket ticket) {
		LOGGER.info("removeFromDB ticket");
		ticket.setStatus("removeFromDB");
	}

	@Override
	public Ticket monitorFile(String value) {
//		value = " monitorFile" + value;
		Ticket ticket = new Ticket();
		LOGGER.info("monitorFile "+ value);
		ticket.setStatus("monitorFile");
		return ticket;
	}

	@Override
	public void translate(Ticket ticket) {
		LOGGER.info("translate ticket");
        ticket.setStatus("translate");
	}

}
